A high-performance general-purpose compute library

- Main Page
- Tutorials
- Release Notes
- Examples

Functions
pow2
ArrayFire Functions | ArrayFire Functions by Category » Mathematical functions » Exponential and logarithmic functions

## Functions
af_err | af_pow2 (af_array *out, const af_array in)
| C Interface to raise 2 to a power (or exponent).

## Detailed Description

Raise 2 to a power (or exponent).

## Function Documentation

## ◆ af_pow2()

af_err af_pow2 | ( | af_array * | out,
|  | const af_array | in )

C Interface to raise 2 to a power (or exponent).

Parameters

  [out] | out | 2 raised to the power of `in`
  [in] | in | exponent

Returns
  AF_SUCCESS, if function returns successfully, else an af_err code is given